if [ $# -eq 0 ] ; then
   files=DOSCAR
else
   files=$*
fi 


echo ${files[@]} used
for file in ${files[@]} ; do 
   head -1006 $file | tail -1000 > total.dat
   head -2007 $file | tail -1000 > Sr.dat
   head -3008 $file | tail -1000 > V.dat
   head -4009 $file | tail -1000 > O1.dat
   head -5010 $file | tail -1000 > O2.dat
   tail -1000 $file              > O3.dat
   # extract fermi energy from file
   EFermi=`head -6 $file | tail -1 | awk '{print $4}'`
   
   #merge dos of all O p-states
   paste O1.dat O2.dat O3.dat | awk '{print $1,$3+$4+$5+$20+$21+$23+$37+$38+$39}' > O-p.dat
   
   # create a gnuplot file 
   cat >plotfile<<!
   set term png size 600,480
   set out '${file}-dos_SrVO3.png'
   set yrange [0:20]
   set title "$file"
   plot \
   "total.dat" using (\$1-$EFermi):(\$2) w l ti "total"\
   ,"V.dat" using (\$1-$EFermi):(\$6+\$7+\$9) w l ti "V t_2g"\
   ,"V.dat" using (\$1-$EFermi):(\$8+\$10) w l ti "V e_g"\
   ,"O-p.dat" using (\$1-$EFermi):(\$2) w l ti "O p"\
   
   # individual O-p states
   #,"O1.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_1 p"\
   #,"O2.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_2 p"\
   #,"O3.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_3 p"\
   
   # individual O-s states
   #,"O1.dat" using (\$1-$EFermi):(\$2) w l ti "O_1 s"\
   #,"O2.dat" using (\$1-$EFermi):(\$2) w l ti "O_2 s"\
   #,"O3.dat" using (\$1-$EFermi):(\$2) w l ti "O_3 s"\
   
!
   
   echo "check ${file}-dos_SrVO3.png"
   gnuplot  plotfile

done 
