# use default file DOSCAR
if [ $# -eq 0 ] ; then
   files=DOSCAR
else
   files=$*
fi 

# make a comparison 
if [ $# -gt 1 ]  ;then  
echo "
set term png size 600,480
set out 'dos_comparison_SrVO3.png'
set yrange [0:20]
set xrange [-10:10]
set title \"DOS comparison\"
" > plotfile.all.gnu
fi 


echo $files used 
filen=0
for file in ${files[@]} ; do 
let filen=$filen+1

# extract file extension
filename=$(basename -- "$file")
ext="${filename##*.}"
filename="${filename%.*}"
if [ "$ext" == "DOSCAR" ] ; then
   ext=""
fi 


head -1006 $file | tail -1000 > total.${ext}.dat
head -2007 $file | tail -1000 > Sr.${ext}.dat
head -3008 $file | tail -1000 > V.${ext}.dat
head -4009 $file | tail -1000 > O1.${ext}.dat
head -5010 $file | tail -1000 > O2.${ext}.dat
tail -1000 $file              > O3.${ext}.dat
# extract fermi energy from file
EFermi=`head -6 $file | tail -1 | awk '{print $4}'`

#merge dos of all O p-states
paste O1.${ext}.dat O2.${ext}.dat O3.${ext}.dat | awk '{print $1,$3+$4+$5+$20+$21+$23+$37+$38+$39}' > O-p.${ext}.dat

cat >plotfile.${ext}.gnu<<!
set term png size 600,480
set out 'dos-${ext}_SrVO3.png'
set yrange [0:20]
set xrange [-10:10]
set title "$ext"
plot \
"total.${ext}.dat" using (\$1-$EFermi):(\$2) w l ti "total"\
,"V.${ext}.dat" using (\$1-$EFermi):(\$6+\$7+\$9) w l ti "V t_2g"\
,"V.${ext}.dat" using (\$1-$EFermi):(\$8+\$10) w l ti "V e_g"\
,"O-p.${ext}.dat" using (\$1-$EFermi):(\$2) w l ti "O p"\

# individual O-p states
#,"O1.${ext}.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_1 p"\
#,"O2.${ext}.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_2 p"\
#,"O3.${ext}.dat" using (\$1-$EFermi):(\$3+\$4+\$5) w l ti "O_3 p"\

# individual O-s states
#,"O1.${ext}.dat" using (\$1-$EFermi):(\$2) w l ti "O_1 s"\
#,"O2.${ext}.dat" using (\$1-$EFermi):(\$2) w l ti "O_2 s"\
#,"O3.${ext}.dat" using (\$1-$EFermi):(\$2) w l ti "O_3 s"\

!
  
echo "check dos-${ext}_SrVO3.png"
gnuplot plotfile.${ext}.gnu
 


# optionally make a comparison list 
if [ $# -gt 0 ]; then
if [ "${filen}" == "1" ] ; then
echo "
   plot \\
   \"total.${ext}.dat\" using (\$1-$EFermi):(\$2) w l ti \"total_{${ext}}\"\\" >> plotfile.all.gnu
else
echo ",\"total.${ext}.dat\" using (\$1-$EFermi):(\$2) w l ti \"total_{${ext}}\"\\" >> plotfile.all.gnu
fi
fi
done 
  
gnuplot plotfile.all.gnu
